
TextCritical.net - Bug #2460

SCSS compiler no longer works

09/21/2019 05:12 AM - Luke Murphey

Status: Closed Start date: 09/21/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.1   

Description

WARNING: An illegal reflective access operation has occurred

WARNING: Illegal reflective access by org.jruby.java.invokers.RubyToJavaInvoker (file:/Users/lmurp

hey/git/textcritical_net/lib/jruby-complete-1.6.7.2.jar) to method java.lang.Object.registerNative

s()

WARNING: Please consider reporting this to the maintainers of org.jruby.java.invokers.RubyToJavaIn

voker

WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operati

ons

WARNING: All illegal access operations will be denied in a future release

BUILD FAILED

/Users/lmurphey/git/textcritical_net/build.xml:323: org.jruby.exceptions.RaiseException: (Argument

Error) wrong number of arguments (0 for 1)

        at (Anonymous).method_added(file:/Users/lmurphey/git/textcritical_net/lib/jruby-complete-1

.6.7.2.jar!/builtin/javasupport/core_ext/object.rb:10)

        at (Anonymous).method_added(file:/Users/lmurphey/git/textcritical_net/lib/jruby-complete-1

.6.7.2.jar!/builtin/javasupport/core_ext/object.rb:129)

        at (Anonymous).Pattern(file:/Users/lmurphey/git/textcritical_net/lib/jruby-complete-1.6.7.

2.jar!/builtin/java/java.util.regex.rb:2)

        at (Anonymous).(root)(file:/Users/lmurphey/git/textcritical_net/lib/jruby-complete-1.6.7.2

.jar!/builtin/java/java.util.regex.rb:1)

        at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1033)

        at (Anonymous).(root)(file:/Users/lmurphey/git/textcritical_net/lib/jruby-complete-1.6.7.2

.jar!/builtin/java/java.util.regex.rb:42)

Total time: 2 seconds

Associated revisions

Revision 1001 - 12/25/2019 06:13 AM - luke.murphey

Fixing the SASS compiler

Reference #2460

History

#1 - 10/26/2019 05:07 AM - Luke Murphey

https://sass-lang.com/install

#2 - 12/24/2019 07:42 AM - Luke Murphey

- Status changed from New to In Progress

#3 - 12/25/2019 06:14 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
